M5blade = {}
M5blade.Create = {}
M5blade.Init = {}
function M5blade.Create.bladerBig(vehicle, part)
	part = vehicle:getPartById("M5heliblade")
    part:setModelVisible("M5blade1", false)
	part:setModelVisible("M5blade2", false)
    part:setModelVisible("M5blade3", false)
    part:setModelVisible("M5blade4", false)
    part:setModelVisible("M5blade5", false)
    part:setModelVisible("M5blade6", false)
    part:setModelVisible("M5blade7", false)
    part:setModelVisible("M5blade8", false)

    part:setModelVisible("M5blade" .. ZombRand(1, 9), true)
end

function M5blade.Init.bladerBig(vehicle, part)
	part = vehicle:getPartById("M5heliblade")
    part:setModelVisible("M5blade1", false)
	part:setModelVisible("M5blade2", false)
    part:setModelVisible("M5blade3", false)
    part:setModelVisible("M5blade4", false)
    part:setModelVisible("M5blade5", false)
    part:setModelVisible("M5blade6", false)
    part:setModelVisible("M5blade7", false)
    part:setModelVisible("M5blade8", false)

    part:setModelVisible("M5blade" .. ZombRand(1, 9), true)

    if vehicle:isEngineRunning() then
        M5LAST_HELI = vehicle
    end
end

function M5blade.Create.bladerSmall(vehicle, part)
	part = vehicle:getPartById("M5helibladeSmall")
    part:setModelVisible("M5blade1Small", false)
	part:setModelVisible("M5blade2Small", false)
    part:setModelVisible("M5blade3Small", false)
    part:setModelVisible("M5blade4Small", false)

    part:setModelVisible("M5blade" .. ZombRand(1, 5) .. "Small", true)
end

function M5blade.Init.bladerSmall(vehicle, part)
	part = vehicle:getPartById("M5helibladeSmall")
    part:setModelVisible("M5blade1Small", false)
	part:setModelVisible("M5blade2Small", false)
    part:setModelVisible("M5blade3Small", false)
    part:setModelVisible("M5blade4Small", false)

    part:setModelVisible("M5blade" .. ZombRand(1, 5) .. "Small", true)
end